Software requirements for Zowe CLI plug-ins

Last Updated: 5/9/2019, 6:23:21 PM

Software requirements for Zowe CLI plug-ins

Before you install Zowe CLI plug-ins, meet the following steps:

  1. Install Zowe CLI on your computer.
  2. Complete the required configurations for the plug-ins that are listed in the following table:
Plug-in Required Configurations
Zowe CLI Plug-in for IBM CICS Ensure that IBM CICS Transaction Server v5.2 or later is installed and running in your mainframe environment, and IBM CICS Management Client Interface (CMCI) is configured and running in your CICS region.
Zowe CLI Plug-in for IBM Db2 Database Download and prepare the ODBC driver (required for only package installations) and address the licensing requirements. For more information, see Zowe CLI plug-in for IBM Db2 Database.

Important! You can perform the required configurations for the plug-ins that you want to use before or after you install the plug-ins. However, if you do not perform the required configurations, the plug-ins will not function as designed.